ext {

    android = [
            "compileSdkVersion"            : 28,
            "minSdkVersion"                : 19,
            "targetSdkVersion"             : 28,
            "versionCode"                  : 36,
            "versionName"                  : "1.0.36",

            "androidSupport"               : "28.0.0",
            "constraint-layout"            : "1.1.3",
            "junit"                        : '4.12',
            "runner"                       : '1.0.2',
            "espresso"                     : '3.0.2',
            "rxjava"                       : "2.1.16",
            "rxandroid"                    : "2.0.2",
            "eventbus"                     : "3.1.1",
            "rxpermissions"                : "0.10.1",
            "retrofitSupport"              : "2.4.0",
            "logging-interceptor"          : "3.10.0",
            "BaseRecyclerViewAdapterHelper": "2.9.30",
            "glideSupport"                 : "4.8.0",
            "hawk"                         : "2.0.1",
            "fragmentation"                : "1.3.5",
            "multidex"                     : "1.0.3",
            "shape"                        : "1.3.4",
            "glide-transformations"        : "4.0.1",
            "logger"                       : "2.2.0",
            //图表
            "MPAndroidChart"               : "v3.1.0-alpha",
            //日历
            "calendarview"                 : '2.0.1',
            "spinner"                      : '1.3.1',
            "getui"                        : '2.13.1.0',
            //loading
            "zloading"                     : '1.0.11',
            //greendao
            "greendao"                     : '3.2.2',
            "filedownloader":'1.7.6'



    ]

    dependencies = [

            "appcompat-v7"                 : "com.android.support:appcompat-v7:${android["androidSupport"]}",
            "design"                       : "com.android.support:design:${android["androidSupport"]}",
            "recyclerview"                 : "com.android.support:recyclerview-v7:${android["androidSupport"]}",
            "cardview"                     : "com.android.support:cardview-v7:${android["androidSupport"]}",
            "constraint-layout"            : "com.android.support.constraint:constraint-layout:${android["constraint-layout"]}",
            "junit"                        : "junit:junit:${android["junit"]}",
            "runner"                       : "com.android.support.test:runner:${android["runner"]}",
            "espresso"                     : "com.android.support.test.espresso:espresso-core:${android["espresso"]}",
            "rxjava"                       : "io.reactivex.rxjava2:rxjava:${android["rxjava"]}",
            "rxandroid"                    : "io.reactivex.rxjava2:rxandroid:${android["rxandroid"]}",
            "eventbus"                     : "org.greenrobot:eventbus:${android["eventbus"]}",
            "rxpermissions"                : "com.github.tbruyelle:rxpermissions:${android["rxpermissions"]}",
            "retrofit"                     : "com.squareup.retrofit2:retrofit:${android["retrofitSupport"]}",
            "converter-gson"               : "com.squareup.retrofit2:converter-gson:${android["retrofitSupport"]}",
            "adapter-rxjava2"              : "com.squareup.retrofit2:adapter-rxjava2:${android["retrofitSupport"]}",
            "logging-interceptor"          : "com.squareup.okhttp3:logging-interceptor:${android["logging-interceptor"]}",

            "BaseRecyclerViewAdapterHelper": "com.github.CymChad:BaseRecyclerViewAdapterHelper:${android["BaseRecyclerViewAdapterHelper"]}",
            "glide"                        : "com.github.bumptech.glide:glide:${android["glideSupport"]}",
            "glide-compiler"               : "com.github.bumptech.glide:compiler:${android["glideSupport"]}",
            "hawk"                         : "com.orhanobut:hawk:${android["hawk"]}",
            "fragmentation"                : "me.yokeyword:fragmentation:${android["fragmentation"]}",
            "multidex"                     : "com.android.support:multidex:${android["multidex"]}",
            "shape"                        : "com.noober.background:core:${android["shape"]}",
            "glide-transformations"        : "jp.wasabeef:glide-transformations:${android["glide-transformations"]}",
            "logger"                       : "com.orhanobut:logger:${android["logger"]}",
            "MPAndroidChart"               : "com.github.PhilJay:MPAndroidChart:${android["MPAndroidChart"]}",
            "calendarview"                 : "com.github.prolificinteractive:material-calendarview:${android["calendarview"]}",
            "spinner"                      : "com.jaredrummler:material-spinner:${android["spinner"]}",
            "getui"                        : "com.getui:sdk:${android["getui"]}'",

            "zloading"                     : "com.zyao89:zloading:${android["zloading"]}",
            "greendao":"org.greenrobot:greendao:${android[ "greendao"]}",

            "filedownloader": "com.liulishuo.filedownloader:library:${android[ "filedownloader"]}"


    ]

}